#include "decl.h"

int day_change(int *day_number, double GPS_secs)

     // This function calculates the present GPS day number and 
     // checks if this has changed.
     //
     // Input  GPS_secs   : time in seconds
     //        day_number : last day number
     //
     // Output day_number : new day number
     //        day_change : (boolean) 1 if new day, otherwise 0

{
  int old_day;

  old_day=*day_number;
  
  // calculate day number since start of GPS time (jan. 6 1980)
  if ((*day_number=(int)((long)(GPS_secs+0.3)/86400))>old_day) return 1;
  else return 0;

}








