#include "decl.h"

void print_usage(void)

     // This function writes information lines on the program usage to
     // the standard error unit, stderr 

{

  fprintf(stderr,"Usage: rims2rinex [-i] rimsfile1 [rimsfile2 [...]] [opts]%s",lin_end);
  fprintf(stderr,"where [opts]:%s",lin_end);
  fprintf(stderr,"   -i rf1 [rf2 [...]]   RIMS file-name list%s",lin_end);
  fprintf(stderr,"   -s                   sorting of RIMS file-names%s",lin_end);
  fprintf(stderr,"   -t n_sec             rinex sampling time interval in seconds%s",lin_end);
  fprintf(stderr,"   -c                   clock offset output in rinex files%s",lin_end);
  fprintf(stderr,"   -g                   GPS data only in rinex files%s",lin_end);
  fprintf(stderr,"   -d                   create new rinex file at day boundaries%s",lin_end);
  fprintf(stderr,"   -n nm1 [nm2 [...]]   names to appear in rinex header%s",lin_end);
  fprintf(stderr,"   -r rims_station      RIMS station identifier%s",lin_end);
  fprintf(stderr,"   -o rinex_name        output rinex file name%s",lin_end);

}

