#include "decl.h"

struct measurement_record reset_data(void)

     // This function returns a measurement record where the status
     // values are set to zero for GPS, GLONASS and GEO systems
     // indicating no valid data
     //
     // Output reset_data : measurement record with all status =0

{
  struct measurement_record new_measurements;
  int i;

  for (i=0; i < NSAT; i++) { new_measurements.GPS.status[i]=0;
                             new_measurements.GLONASS.status[i]=0;
                             new_measurements.GEO.status[i]=0; }

  return new_measurements;

}








